package com.xjrsoft.common.enums;

/**
 * @Author: tzx
 * @Date: 2023/3/1 15:12
 */
public enum DataAuthFieldTypeEnum {

    STRING(0, "文本/字符串"),

    INT(1, "数字类型"),

    LOGIN_USER_ID(2, "登陆人id"),

    LOGIN_DEP_ID(3, "登陆人组织架构id"),

    LOGIN_DEP_CHILD_ID(4, "登陆人组织架构 和 下属组织架构 id"),

    LOGIN_USER_NAME(5, "登陆人账户id"),

    LOGIN_POST_ID(6, "登陆人岗位id"),

    LOGIN_ROLE_ID(7, "登陆人角色id");


    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    DataAuthFieldTypeEnum(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
